Bug 805515 - RFE: login(1) like wrapper
RFE: login(1) like wrapper
Status: NEW
Product: Beaker
Classification: Community
Component: beah (Show other bugs)
0.8
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: ---
Assigned To: beaker-dev-list
SimpleHarness
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-21 09:59 EDT by Marian Csontos
Modified: 2015-09-13 22:03 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marian Csontos 2012-03-21 09:59:49 EDT
Description of problem:
there is a need for wrapper which will behave the same as login(1) which would allow us to execute commands like:

> qash [-u USER] COMMAND

This is a prerequisite for removing rhts-compat.

Existing projects:
- refried's qa*r*sh utility[1]
  - this is running over network - we can not rely on network.
- login(1)
  - this naturally does not allow executing commands.
- I thought of using screen (or other tools like that)
  - may be unstable when screen itself is under test 

Options?
- shall we use expect with login?
  - would need special PAM or password in env.variable
- shall we fork one or the other upstream?
  - maintenance?

[1]: http://nstraz.wordpress.com/tag/qarsh/
Comment 1 Nick Coghlan 2012-10-17 00:37:48 EDT
Bulk reassignment of issues as Bill has moved to another team.

Note You need to log in before you can comment on or make changes to this bug.